## GtexBuffer GtexBuffer — Additional TeplBuffer functions |

## Functions

void | gtex_buffer_setup ()
void | gtex_buffer_comment_lines ()
void | gtex_buffer_comment_selected_lines ()
void | gtex_buffer_uncomment_selected_lines ()

## Includes

    #include <gtex.h>

## Description

Additional TeplBuffer functions.

## Functions

### gtex_buffer_setup ()

    void
    gtex_buffer_setup (TeplBuffer *buffer);

Setups a TeplBuffer for this application.

#### Parameters

buffer | a TeplBuffer. |

### gtex_buffer_comment_lines ()

    void
    gtex_buffer_comment_lines (GtkTextBuffer *buffer,
                               const GtkTextIter *start_iter,
                               const GtkTextIter *end_iter);

Comments the lines between `start_iter` and `end_iter` included.

If `end_iter` is `NULL`, only a single line is commented.

#### Parameters

buffer | a GtkTextBuffer. |
start_iter | a GtkTextIter. |
end_iter | a GtkTextIter, or `NULL` to comment only the line at `start_iter` . | [nullable]

### gtex_buffer_comment_selected_lines ()

    void
    gtex_buffer_comment_selected_lines (GtkTextBuffer *buffer);

Comments the selected lines.

#### Parameters

buffer | a GtkTextBuffer. |

### gtex_buffer_uncomment_selected_lines ()

    void
    gtex_buffer_uncomment_selected_lines (GtkTextBuffer *buffer);

Uncomments the selected lines.

#### Parameters

buffer | a GtkTextBuffer. |